Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
shift_var Struct Reference

## Data Fields
VALUE | key
VALUE | val

## Detailed Description

Definition at line 872 of file hash.c.

## Field Documentation

VALUE shift_var::key

Definition at line 873 of file hash.c.

Referenced by rb_hash_shift(), shift_i(), and shift_i_safe().

VALUE shift_var::val

Definition at line 874 of file hash.c.

Referenced by NOINSERT_UPDATE_CALLBACK(), rb_hash_has_value(), shift_i(), and shift_i_safe().

The documentation for this struct was generated from the following file:

- hash.c